org.apache.commons.io.filefilter

## Class WildcardFilter

- java.lang.Object
- - org.apache.commons.io.filefilter.AbstractFileFilter
  - - org.apache.commons.io.filefilter.WildcardFilter

All Implemented Interfaces:
  FileFilter, FilenameFilter, Serializable, IOFileFilter

Deprecated.
Use WildcardFileFilter. Deprecated as this class performs directory filtering which it shouldn't do, but that can't be removed due to compatibility.

    @Deprecated
    public class WildcardFilter
    extends AbstractFileFilter
    implements Serializable

Filters files using the supplied wildcards.

This filter selects files, but not directories, based on one or more wildcards and using case-sensitive comparison.

The wildcard matcher uses the characters '?' and '*' to represent a single or multiple wildcard characters. This is the same as often found on Dos/Unix command lines. The extension check is case-sensitive. See `FilenameUtils.wildcardMatch(String, String)` for more information.

For example:

     File dir = new File(".");
     FileFilter fileFilter = new WildcardFilter("*test*.java~*~");
     File[] files = dir.listFiles(fileFilter);
     for (int i = 0; i < files.length; i++) {
       System.out.println(files[i]);
     }

Since:
  1.1
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WildcardFilter(List<String> wildcards)` Deprecated. Construct a new case-sensitive wildcard filter for a list of wildcards.
`WildcardFilter(String wildcard)` Deprecated. Construct a new case-sensitive wildcard filter for a single wildcard.
`WildcardFilter(String[] wildcards)` Deprecated. Construct a new case-sensitive wildcard filter for an array of wildcards.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `accept(File file)` Deprecated. Checks to see if the filename matches one of the wildcards.
`boolean` `accept(File dir, String name)` Deprecated. Checks to see if the filename matches one of the wildcards.

### Methods inherited from class org.apache.commons.io.filefilter.AbstractFileFilter

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WildcardFilter

    public WildcardFilter(String wildcard)

Deprecated.
Construct a new case-sensitive wildcard filter for a single wildcard.

Parameters:
  `wildcard` - the wildcard to match
Throws:
  `IllegalArgumentException` - if the pattern is null

#### WildcardFilter

    public WildcardFilter(String[] wildcards)

Deprecated.
Construct a new case-sensitive wildcard filter for an array of wildcards.

Parameters:
  `wildcards` - the array of wildcards to match
Throws:
  `IllegalArgumentException` - if the pattern array is null

#### WildcardFilter

    public WildcardFilter(List<String> wildcards)

Deprecated.
Construct a new case-sensitive wildcard filter for a list of wildcards.

Parameters:
  `wildcards` - the list of wildcards to match
Throws:
  `IllegalArgumentException` - if the pattern list is null
  `ClassCastException` - if the list does not contain Strings

### Method Detail

#### accept

    public boolean accept(File dir,
                          String name)

Deprecated.
Checks to see if the filename matches one of the wildcards.

Specified by:
  `accept` in interface `FilenameFilter`
Specified by:
  `accept` in interface `IOFileFilter`
Overrides:
  `accept` in class `AbstractFileFilter`
Parameters:
  `dir` - the file directory
  `name` - the filename
Returns:
  true if the filename matches one of the wildcards

#### accept

    public boolean accept(File file)

Deprecated.
Checks to see if the filename matches one of the wildcards.

Specified by:
  `accept` in interface `FileFilter`
Specified by:
  `accept` in interface `IOFileFilter`
Overrides:
  `accept` in class `AbstractFileFilter`
Parameters:
  `file` - the file to check
Returns:
  true if the filename matches one of the wildcards